#include <ch.h>
#include <tictactoe.h>

EXPORTCH guint tictactoe_get_type_chdl(void *varg) {
    guint retval;
    retval = tictactoe_get_type();
    return retval;
}

EXPORTCH GtkWidget* tictactoe_new_chdl(void *varg) {
    GtkWidget* retval;
    retval = tictactoe_new();
    return retval;
}

EXPORTCH void tictactoe_clear_chdl(void *varg) {
    ChInterp_t interp;
    va_list ap;
    Tictactoe *ttt;

    Ch_VaStart(interp, ap, varg);
    ttt = Ch_VaArg(interp, ap, Tictactoe *);
    tictactoe_clear(ttt);
    Ch_VaEnd(interp, ap);
}
